- [2nd Round of Testing](#2nd-round-testing)
- [Issues](#issues)

<a id="2nd-round-testing"></a>
### 2nd Round of Testing
The 2nd round of testing will include the same as before except that we'll use U-Boot from the Rocky Linux U-Boot Tools package.  We'll continue testing the 6.6.x kernel branch.

|                     | Tritrium H5 | Le Potato AML-S905X-CC | La Frite AML-S805X-AC | Renegade ROC-RK3328-CC  | Odroid-N2    |
|:---:|:---:|:---:|:---:|:---:|:---:|
| Kernel SBC support  | Passed      | Passed                 |                       |                         | Passed       | 
| Vendor U-Boot       | Not Tested  | Not Tested             |                       |                         | Not Tested   |
| Rocky U-Boot        | Passed      | Passed*                |                       |                         | Passed*      |
| USB                 | Passed      | Passed                 |                       |                         | Passed       |
| Video               | Passed      | Passed                 |                       |                         | Passed       |
| Wi-Fi               | N/A         | N/A                    |                       |                         | N/A          |
| Ethernet            | Passed      | Passed                 |                       |                         | Passed       |

*Amlogic U-boot binaries must be fip-signed with Amlogic's tools.

<a id="issues"></a>
### Issues
As of 18 January 2024:
Amlogic boards must have their U-boot binaries fip-signed.  Currently, this affects both the Le Potato and the Odroid-n2. Check the official u-boot docs for additional information.  Amlogic requires written permission for using its signing utilites (if i'm reading it correctly.)
Le Potato has issues with the ethernet adapter constantly resetting.
The Odroid N2 is functional other than "reboot" doesnt work.  It then says something to the effect of "watchdog didnt stop".  Other than that, it seems to work.